dtestsrq(1)

NAME
dtestsrq - simple uDAPL send/receive and RDMA test with shared receive queue. (SRQ)

SYNOPSIS
dtestsrq [-vu] [-P provider] [-b buf size] [-B burst size] [-t burst num] [-c connections] [-p port] [-S 0|1] [ -s | -h HOSTNAME ]

DESCRIPTION

dtestsrq is a simple test used to exercise and verify the uDAPL interfaces. At least two instantiations of the test must be run. One acts as the server and the other the client. The server side of the test, once invoked listens for connection requests, until timing out or killed. Upon receipt of a cd connection request, the connection is established, the server and client sides exchange information necessary to perform RDMA writes and reads. This test support SRQ so all the connections will share the same Rx Q.

OPTIONS

-P=PROVIDER
    use PROVIDER to specify uDAPL interface using /etc/dat.conf (default ofa-v2-ib0)

-h=HOSTNAME
    use HOSTNAME to specify server hostname or IP address (default - none)

-b=BUFFER_SIZE
    use buffer size BUFFER_SIZE for RDMA (default 64)

-B=BURST_SIZE
    use burst size BURST_SIZE (default 1)

-t=BURST_COUNT
    use burst count BURST_COUNT (default 3)

-p=PORT_NUM
    use port PORT_NUM (default 45248)

-c=CONN_NUM
    establish CONN_NUM connections (default = 1, max = 100)

-s, run as server (default - run as server)

-S, use SRQ (default use SQR)

-v, verbose output(default off)

-u, run ud test (default no)

-l=LID
    use LID for server lid in ucm provider (default - none)

-q=QPN
    use QPN for server qpn in ucm provider (default - none)

EXAMPLES

dtestsrq -P ofa-v2-ib0 -s -c 10

     Starts a server process with 10 connections using provider ofa-v2-ib0.

dtestsrq -P ofa-v2-ib0 -c 10 -h server1-ib0

     Starts a client process with 10 connections, using ofa-v2-ib0 provider to connect to hostname server1-ib0.

SEE ALSO
dtest(1), dtestx(1), dtestcm(1), dapltest(1)

AUTHORS

Arlin Davis
    <arlin.r.davis@intel.com>

Amir Hanania
    <amir.hanania@intel.com>